summaryrefslogtreecommitdiffstats
path: root/skripti/registracija_uporabnika.sh
diff options
context:
space:
mode:
Diffstat (limited to 'skripti/registracija_uporabnika.sh')
-rwxr-xr-xskripti/registracija_uporabnika.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/skripti/registracija_uporabnika.sh b/skripti/registracija_uporabnika.sh
new file mode 100755
index 0000000..a2419fa
--- /dev/null
+++ b/skripti/registracija_uporabnika.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# $1 je username, $2 je fullname, $3 je komentar, $4 je expiredate YYYY-MM-DD, $5 je groups, $6 je crypt password
+# GECOS: full name,room number,office tel,home tel,other contact
+set -euo pipefail
+username=`grep -o "[a-z][-_.a-z0-9]*" <<<"$1" | head -n1 | head -c16`
+if [ ! "$username" = "$1" ]
+then
+ echo uporabniško ime ni pravilne oblike. predlagam takole uporabniško ime: $username -- uporabnika nisem izdelal
+ exit 1
+fi
+useradd --expiredate "$4" --groups "$5" --password "$6" --comment "`sed -e s/,//g<<<$2`,,,,`sed -e s/,//<<<$3`-reg.sh $DOAS_USER `date +%s`" $username
+echo uporabnik uspešno izdelan!